# Warehouses Warehouses ## Gets all of the warehouses in the system. - [GET /warehouses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/listwarehouses.md): This method will scan all warehouses and and return them to the caller. ## Creates a new warehouse record that does not already exist. - [POST /warehouses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/createwarehouse.md): This method will auto-generate an ID and create a new warehouse. If an ID is specified for the warehouse, an error will be thrown. ## Execute Batch Operations - [POST /warehouses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a warehouse from the system by its ID. - [DELETE /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/deletewarehouse.md): This method will delete a warehouse with the specified ID. ## Returns a warehouse from the system by its ID. - [GET /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/getwarehouse.md): This method will look up a warehouse by the specified ID and return it back. ## Partially updates a warehouse with the specified ID. - [PATCH /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/patchwarehouse.md): This method will patch an existing warehouse with the specified ID, using the HTTP PATCH specification. ## Updates a warehouse with the specified ID. - [PUT /warehouses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/warehouses/updatewarehouse.md): This method will update an existing warehouse with the specified ID.